Bug 1291928 - Consider enabling persistence or blessing a location for persistence data
Consider enabling persistence or blessing a location for persistence data
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: smartmontools (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Hlavinka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-15 17:18 EST by Jason Tibbitts
Modified: 2016-11-11 15:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-11 12:55:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Trivial patch (698 bytes, patch)
2016-06-06 14:29 EDT, Jason Tibbitts
no flags Details | Diff
Proper patch (1.01 KB, patch)
2016-06-06 16:53 EDT, Jason Tibbitts
no flags Details | Diff

  None (edit)
Description Jason Tibbitts 2015-12-15 17:18:16 EST
I find that I'd really like smartd to spam me daily if it finds any issues, in case I happen to miss one notice.  Without persistence, smartd it seems will only warn me the first time it sees something wrong with a drive and won't notify again (until a fresh boot) even if something additional goes wrong.

I can understand if enabling persistence by default is too much, but could you consider including in the package a location for persistence data (i.e just make a directory /var/lib/smartmontools)?  Perhaps add a comment in /etc/sysconfig/smartmontools as well.  This way there will be a standard location for the data, which could also be added to selinux policy.

Thanks.  If I have another few minutes I'll work up a patch.
Comment 1 Jason Tibbitts 2016-06-06 14:29 EDT
Created attachment 1165337 [details]
Trivial patch

I guess I forgot to get back to this, but here's a trivial patch which adds /var/lib/smartmontools to the package.  The selinux policy appears to account for this already:

/var/lib/smartmontools(/.*)?   all files   system_u:object_r:fsdaemon_var_lib_t:s0

so I don't see any reason not to at least have smartmontools create it and mention it in the sysconfig file.
Comment 2 Jason Tibbitts 2016-06-06 16:53 EDT
Created attachment 1165406 [details]
Proper patch

Would be good if I actually sent the right patch.  Sorry for the spam.

BTW, I will be happy to commit this for you.
Comment 3 Michal Hlavinka 2016-11-11 12:55:18 EST
build for rawhide
for other fedora versions, updates were build, but won't be pushed as updates until there is something bigger
Comment 4 Jason Tibbitts 2016-11-11 15:53:40 EST
Cool, thanks!

Note You need to log in before you can comment on or make changes to this bug.